=== debian/control ===
Source: ukui-panel
Section: x11
Priority: optional
Maintainer: kylin Team <team+kylin@tracker.debian.org>
Uploaders: Aron Xu <aron@debian.org>,
           handsome_feng <jianfengli@ubuntukylin.com>
Build-Depends: debhelper-compat (= 12),
               cmake,
               libasound2-dev,
               libdbusmenu-qt5-dev,
               libglib2.0-dev(>=2.36),
               libicu-dev,
               libkf5solid-dev,
               libkf5windowsystem-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libsensors4-dev [!hurd-any],
               libstatgrab-dev [linux-any],
               libx11-dev,
               libxcb-damage0-dev,
               libxcb-util0-dev,
               libxcb-xkb-dev,
               libxcomposite-dev,
               libxdamage-dev,
               libxkbcommon-dev,
               libxkbcommon-x11-dev,
               libxrender-dev,
               libqt5webkit5-dev,
               libqt5xdg-dev,
               qttools5-dev,
               libgsettings-qt-dev,
               libdconf-dev,
               qtbase5-dev,
               qtbase5-dev-tools,
               qttools5-dev-tools,
               qtbase5-private-dev,
               libxtst-dev,
               libudisks2-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://github.com/ukui/ukui-panel
Vcs-Git: https://github.com/ukui/ukui-panel
Homepage: https://github.com/ukui/ukui-panel

Package: ukui-panel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Provides: ukui-indicators
Suggests: ukui-window-switch (>=3.0.0-3),
          time-shutdown
Description: ukui desktop panel
 The ukui desktop panel is used on ukui desktop and has some plugins like
 starmenu, quicklaunch and other useful tools.
 .
 This package contains the ukui panel.
