=== panel/CMakeLists.txt ===
--- 
+++ 
@@ -197,9 +197,20 @@
 )
 
 install(FILES
-    resources/panel-commission.sh  resources/panel-commission.ini  resources/ukui-panel-reset.sh resources/ukui-panel-config.sh
+    resources/panel-commission.sh   resources/ukui-panel-reset.sh resources/ukui-panel-config.sh
     DESTINATION "/usr/share/ukui/ukui-panel"
     COMPONENT Runtime
     PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ GROUP_EXECUTE GROUP_READ GROUP_WRITE WORLD_READ WORLD_WRITE WORLD_EXECUTE
     GROUP_EXECUTE GROUP_READ
 )
+
+install(FILES
+    resources/panel-commission.ini  
+    DESTINATION "/usr/share/ukui/ukui-panel"
+    COMPONENT Runtime
+)
+
+set(PLUGIN panel)
+include(../cmake/UkuiPluginTranslationTs.cmake)
+ukui_plugin_translate_ts(${PLUGIN})
+
