=== plugin-calendar/CMakeLists.txt ===
--- 
+++ 
@@ -36,8 +36,6 @@
     lunarcalendarwidget/frmlunarcalendarwidget.ui
 )
 
-find_package(Qt5WebKit)
-find_package(Qt5WebKitWidgets)
 find_package(PkgConfig)
 pkg_check_modules(Gsetting REQUIRED gsettings-qt)
 pkg_check_modules(CALENDAR_DEPS REQUIRED glib-2.0)
@@ -46,11 +44,11 @@
 
 
 ADD_DEFINITIONS(-DQT_NO_KEYWORDS)
-link_libraries(libQt5WebKitWidgets.so.5 libQt5WebKit.so.5 glib-2.0.so)
+link_libraries(glib-2.0.so)
+include(../cmake/UkuiPluginTranslationTs.cmake)
+ukui_plugin_translate_ts(${PLUGIN})
+
 install(DIRECTORY html/
         DESTINATION ${PACKAGE_DATA_DIR}/plugin-calendar/html)
 
-install(DIRECTORY style/
-        DESTINATION ${PACKAGE_DATA_DIR}/plugin-calendar/style)
-
 BUILD_UKUI_PLUGIN(${PLUGIN})
