=== plugin-nightmode/CMakeLists.txt ===
--- 
+++ 
@@ -12,5 +12,9 @@
 #    Qt5Xdg
     ${Gsetting_LIBRARIES}
 )
+
+include(../cmake/UkuiPluginTranslationTs.cmake)
+ukui_plugin_translate_ts(${PLUGIN})
+
 include_directories(${_Qt5DBus_OWN_INCLUDE_DIRS})
 BUILD_UKUI_PLUGIN(${PLUGIN})
