=== plugin-taskbar/CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,7 @@
     ukuigrouppopup.h
     ukuitaskwidget.h
     ukuitaskclosebutton.h
+        quicklaunchaction.h
 )
 
 set(SOURCES
@@ -18,14 +19,10 @@
     ukuigrouppopup.cpp
     ukuitaskwidget.cpp
     ukuitaskclosebutton.cpp
+    quicklaunchaction.cpp
 )
 
 find_package(X11 REQUIRED)
-
-set(LIBRARIES
-    ${X11_LIBRARIES}
-    Qt5X11Extras
-)
 
 find_package(PkgConfig)
 pkg_check_modules(GIOUNIX2 REQUIRED gio-unix-2.0)
@@ -42,6 +39,17 @@
 set(LIBRARIES
     Qt5Xdg
     ${GIOUNIX2_LIBRARIES}
+    ${X11_LIBRARIES}
+    Qt5X11Extras
 )
 
+install(FILES
+    resources/name-icon.match
+    DESTINATION "/usr/share/ukui/ukui-panel/plugin-taskbar"
+    COMPONENT Runtime
+)
+
+include(../cmake/UkuiPluginTranslationTs.cmake)
+ukui_plugin_translate_ts(${PLUGIN})
+
 BUILD_UKUI_PLUGIN(${PLUGIN})
