=== debian/changelog ===
ukui-panel (3.0.6.4-2) unstable; urgency=medium

  * d/control: switch build-depends from libsensors4-dev to
    libsensors-dev. (Closes: #980733)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Mon, 21 Aug 2023 16:10:45 +0800

ukui-panel (3.0.6.4-1) unstable; urgency=medium

  * New upstream bugfix release. (LP: #1966864)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 29 Mar 2022 14:56:10 +0800

ukui-panel (3.0.6.3-1) unstable; urgency=medium

  * New upstream release.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Mon, 21 Feb 2022 15:24:34 +0800

ukui-panel (3.0.6-1) focal; urgency=medium

  * New upstream release.

 -- Allen <zouchang@kylinos.cn>  Thu, 04 Nov 2021 17:19:50 +0800
