=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
                libglib2.0-dev(>=2.36),
                libicu-dev,
                libkf5solid-dev,
-               libkf5windowsystem-dev,
+               libkf5windowsystem-dev(>=5.68.0-0kylin1k2~),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
-               libsensors4-dev [!hurd-any],
+               libsensors-dev [!hurd-any],
                libstatgrab-dev [linux-any],
                libx11-dev,
                libxcb-damage0-dev,
@@ -30,12 +30,17 @@
                qttools5-dev,
                libgsettings-qt-dev,
                libdconf-dev,
+               libukui-log4qt-dev,
                qtbase5-dev,
                qtbase5-dev-tools,
                qttools5-dev-tools,
-               qtbase5-private-dev,
-               libxtst-dev,
-               libudisks2-dev
+               libx11-dev,
+	       libxtst-dev,
+	       libudisks2-dev,
+	       libxcb-render-util0-dev,
+	       libxcb-image0-dev,
+	       libxcb-composite0-dev,
+	       libxcb-shape0-dev
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Browser: https://github.com/ukui/ukui-panel
